define({"0":{y:0,u:"../Content/part_Overview.htm",l:-1,t:"Overview of HTML Export",i:0.00153039028572983,a:"Overview of HTML Export This section provides an overview of the Micro Focus IDOL KeyView Export SDK and describes how to use the C implementation of the API. Introducing HTML Export Getting Started"},"1":{y:0,u:"../Content/ExportShared/Introduction/Introduction.htm",l:-1,t:"Introducing HTML Export",i:0.00218081135154459,a:"Introducing HTML Export This guide is for developers who want to incorporate Micro Focus KeyView HTML conversion technology into their applications using a C development environment. It is intended for readers who are familiar with HTML and C."},"2":{y:0,u:"../Content/ExportShared/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00153039028572983,a:"HTML Export is part of the KeyView Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into high-fidelity HTML. Incorporating this technology into your web-based applications enables your end-users to access a document even if they do not have the ..."},"3":{y:0,u:"../Content/ExportShared/Introduction/Features.htm",l:-1,t:"Features",i:0.00153039028572983,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into  web-ready, 4.0-compliant HTML . Export supports over 300 formats in 70 languages. Convert files either in-process or out of process. Out-of-process conversion ensures the stability and robustness of the calling ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00153039028572983,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00153039028572983,a:"The C HTML Export SDK is supported on the following platforms. CentOS 7 x86, x64, and AArch64 IBM AIX L6.1 PowerPC 32-bit and 64-bit IBM AIX L7.1 PowerPC 32-bit and 64-bit macOS 10.13 or later on 64-bit Apple-Intel architecture macOS 11 or later on Apple M1. Microsoft Windows Server 2012 x64 ..."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00153039028572983,a:"Supported Compilers The following table lists the supported compilers for the C HTML Export SDK."},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00218081135154459,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. The redistributables are provided in the vcredist folder of the KeyView SDK but you can  download the latest installers from Microsoft  to get the latest security, reliability, and performance ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00153039028572983,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00153039028572983,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/ExportShared/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00153039028572983,a:"The Export installation contains: Libraries and executable files necessary for converting source documents into high-quality , web-ready HTML  (see  Files Required for Redistribution ). The include files that define the functions and structures used by the application to establish an interface with ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0159774562767012,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"12":{y:0,u:"../Content/ExportShared/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00153039028572983,a:" The following table describes the directories created during the HTML Export installation. The variable install is the path name of the Export installation  directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the HTML ..."},"13":{y:0,u:"../Content/ExportShared/Introduction/Definition_of_Terms.htm",l:-1,t:"Definition of Terms",i:0.00153039028572983,a:"Definition of Terms The following are specialized terms used throughout the guide. "},"14":{y:0,u:"../Content/ExportShared/GettingStarted/GettingStarted.htm",l:-1,t:"Getting Started",i:0.00218081135154459,a:"Getting Started This section provides an overview of the HTML Export SDK and describes how to use the C implementations of the API."},"15":{y:0,u:"../Content/ExportShared/GettingStarted/ReferenceImplementation.htm",l:-1,t:"HTML Export Reference Implementation",i:0.0145076155499295,a:"The KeyView Export SDK includes a reference implementation that demonstrates how to export documents to HTML. The reference implementation includes source code for a library named libkvhtmlexport, and a sample program named kvhtmlexport. The libkvhtmlexport library is written in  C++  and provides a ..."},"16":{y:0,u:"../Content/ExportShared/GettingStarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00153039028572983,a:"Architectural Overview The general architecture of the KeyView HTML conversion technology is the same across all supported platforms and is illustrated in the following diagram: HTML Export Architecture Each component is described in the following table."},"17":{y:0,u:"../Content/ExportShared/GettingStarted/Enhance_Performance.htm",l:-1,t:"Enhance Performance",i:0.00153039028572983,a:"KeyView is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve performance specifically for your system. File Caching To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data ..."},"18":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files.htm",l:-1,t:"Convert Files",i:0.00153039028572983,a:"KeyView Export SDK enables you to convert many different types of documents to HTML. Converting is the process of extracting the text from a document without the application-specific markup, and applying HTML markup. The conversion process can also include the following: Extracting subfiles to ..."},"19":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files_Out_of_Process.htm",l:-1,t:"Convert Files Out of Process",i:0.0121395269496869,a:"Export  can run independently from the calling application. This is called out of process. Out-of-process conversions protect the stability of the calling application in the rare case when a malformed document causes Export to fail. You can also run Export in the same process as the calling ..."},"20":{y:0,u:"../Content/ExportShared/GettingStarted/ConvertOOP_Run_C.htm",l:-1,t:"Run Export Out of Process",i:0.00162232264529764,a:"The cnv2htmloop sample program demonstrates how to run Export out of process. To convert files out of process in the C API If required, set parameters for the out-of-process conversion in the formats_e.ini file. See  Configure Out-of-Process Conversions . Declare instances of the following types and ..."},"21":{y:0,u:"../Content/ExportShared/GettingStarted/Subfile_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00167492830035533,a:"To convert a file, you must first determine whether the source file contains any subfiles (attachments, embedded objects, and so on). A file that contains subfiles is called a  container file. Compressed files (such as Zip), mail messages with attachments (such as  Microsoft Outlook Express), mail ..."},"22":{y:0,u:"../Content/ExportShared/GettingStarted/Set_Conversion_Options.htm",l:-1,t:"Set Conversion Options",i:0.00294586988703728,a:"Set Conversion  Options Conversion options are parameters that determine the content, structure, and appearance of the HTML output. For example, you can specify:  the markup inserted at the beginning and end of specific HTML blocks whether a heading is included in the table of contents the output ..."},"23":{y:0,u:"../Content/ExportShared/GettingStarted/HTML_Export_API_C.htm",l:-1,t:"Use the C-Language Implementation of the API",i:0.00173153669359937,a:"The C-language implementation of the API is divided into the following  function suites: File Extraction API Functions —Open and extract subfiles in a container file. These functions also extract metadata and file format information, and control character set conversion on extraction. HTML Export ..."},"24":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.00153039028572983,a:"Use the Export API This section explains how to perform some basic tasks using the  File Extraction and  Export APIs, and describes the sample programs. It contains the following chapters: Use the File Extraction API Use the HTML Export API Sample Programs"},"25":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c.htm",l:-1,t:"Use the File Extraction API",i:0.00453370640675275,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"26":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",l:-1,t:"Introduction",i:0.00153039028572983,a:"To  convert  a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file.  The following ..."},"27":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.00283123241735934,a:"To  convert  all files in a container file, you must open the container and extract its subfiles by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  conversion . After a subfile is extracted, you can call  Export  API ..."},"28":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00398333609537937,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the function  fpGetSubFileInfo() .  However, if the ..."},"29":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00153039028572983,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"30":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Recreate_a_Files_Hierarchy.htm",l:-1,t:"Recreate a File’s Hierarchy",i:0.00644647915754847,a:"When you extract a container file, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. You can use the  hierarchy to create a directory structure in a file system, or to ..."},"31":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Mail_Metadata.htm",l:-1,t:"Extract Mail Metadata",i:0.0159688738550719,a:"You can extract metadata, such as subject, sender, and recipient, from subfiles of mail formats, by calling the  fpGetSubFileMetaData()  function. You can extract a predefined set of common metadata fields, a list of metadata fields by their names or MAPI properties, or, for some subfile types, all ..."},"32":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_Outlook_Files.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.00153039028572983,a:"Extract  Subfiles from Outlook Files When you extract an Outlook file (MSG) to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ..."},"33":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.00153039028572983,a:"Extract Subfiles from Outlook  Express Files When you extract an Outlook Express (EML) file to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the ..."},"34":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_MailboxFiles.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.00153039028572983,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"35":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_OutlookPersonalFolder.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.00153039028572983,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the text and header information (To, From, Sent, and so on) from each Outlook ..."},"36":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusDominoXML.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.00153039028572983,a:"Extract  Subfiles from Lotus Domino XML Language Files When you extract a Lotus Domino XML Language (.DXL) file, the message text and header information (To, From, Sent, and so on) is extracted to a text file.  To prevent header information from being extracted, see  Exclude Metadata from the ..."},"37":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusNotes_DB.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.00153039028572983,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"38":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_PDF_Files.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00153039028572983,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"39":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00153039028572983,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"40":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Embedded_OLE_Objects.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00153039028572983,a:"Embedded OLE objects can be converted in two ways: Using the File Extraction API, the OLE  object is first extracted from the main file and saved to disk. It can then be converted by making a separate conversion call.  Using the  HTML  Export API, the  main file is converted to  HTML  and the OLE ..."},"41":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_ZIPFiles.htm",l:-1,t:"Extract Subfiles from ZIP Files",i:0.00153039028572983,a:"Extract Subfiles from ZIP Files You can extract ZIP files that are not password-protected by using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials. "},"42":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00207595561315502,a:"Default File Names for  Extracted Subfiles When you do not specify a file name in the call to   fpExtractSubFile() , in some cases a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies ..."},"43":{y:0,u:"../Content/ExportShared/UseExportAPI/HTML_api.htm",l:-1,t:"Use the HTML Export API",i:0.00267639174392516,a:"Use the HTML Export API This section describes how to perform some basic tasks by using the HTML Export API."},"44":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.0020167069218763,a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"45":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_File_Format_Info.htm",l:-1,t:"Extract File Format Information",i:0.00167492830035533,a:"Export can detect a file\u0027s format, and report the information to the API, which in turn reports the information to the developer\u0027s application. This feature enables you to apply customized conversion settings based on a file\u0027s format. See  File Format Detection  for more information on format ..."},"46":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.00502855936076045,a:"Export allows you to control the character set of both the input and the output text. This is accomplished by either setting the source and/or target character set in the API, or  basing the input/output on the character set of the document (if the document character set is stored in the document ..."},"47":{y:0,u:"../Content/ExportShared/UseExportAPI/Map_Styles.htm",l:-1,t:"Map Styles",i:0.00536945456966723,a:"Export can map  paragraph and character styles in any word processing format that contains styles (such as Microsoft Word, RTF, or Folio Flat File) to user-defined markup.  This feature is useful for shaping the look of the HTML output, or for generating user-defined metadata (including using XML ..."},"48":{y:0,u:"../Content/ExportShared/UseExportAPI/Use_Style_Sheets.htm",l:-1,t:"Use Style Sheets",i:0.00238804587318455,a:"Use  Style Sheets You can use style sheets  to define the overall layout and type specifications of the HTML output. Export can write style sheet information to an external Cascading Style Sheet (CSS) file, or read the information from an existing CSS file during the conversion. The formatting data ..."},"49":{y:0,u:"../Content/ExportShared/UseExportAPI/Display_Vector_Graphics_on_UNIX_and_.htm",l:-1,t:"Display Vector Graphics on UNIX and Linux",i:0.00238804587318455,a:"Display Vector Graphics  on UNIX and Linux Export offers the option of rasterizing vector graphic content from source documents into a variety of graphics formats including JPEG, PNG, WMF, and CGM. This solution is implemented with  Windows Graphical Device Interface (GDI) code, and therefore is not ..."},"50":{y:0,u:"../Content/ExportShared/UseExportAPI/Search_and_Highlight_Terms.htm",l:-1,t:"Search and Highlight Terms",i:0.00272136948602721,a:"KeyView can use the highlighting API to find and highlight specified text strings in the HTML output. Only text strings that exactly match the search term are highlighted. For example, if you specify the term house, the string house is highlighted in house, houses, and housed, but is not highlighted ..."},"51":{y:0,u:"../Content/ExportShared/UseExportAPI/C-Only/Include_Revision_Information.htm",l:-1,t:"Include Revision Information",i:0.00335484868602067,a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision tracking was enabled when changes were made to ..."},"52":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_Text_from_Text_Boxes.htm",l:-1,t:"Extract Text from Text Boxes",i:0.00153039028572983,a:"By default, the contents of Microsoft Word text boxes are converted to graphics and exported. Alternatively, you can convert the contents of text boxes to text.  The extracted text box text is not formatted.  To enable text box extraction Add the following to the formats_e.ini file: [ ..."},"53":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_PDF_Files.htm",l:-1,t:"Convert PDF Files",i:0.00559461376673339,a:"Export has special  configuration options that allow greater control over the conversion of PDF files. These options can improve the fidelity and accuracy of the HTML output. Use the pdf2sr Reader The pdf2sr reader generates a high fidelity raster image of each page in a PDF file. The output HTML ..."},"54":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Spreadsheet_Files.htm",l:-1,t:"Convert Spreadsheet Files",i:0.00153039028572983,a:"Export has special configuration options that allow greater control over the conversion of spreadsheet files.  Convert  Hidden Text in Microsoft Excel Files Normally, Export does not convert hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. You ..."},"55":{y:0,u:"../Content/ExportShared/UseExportAPI/C-Only/Convert_Presentation_Files.htm",l:-1,t:"Convert Presentation Files",i:0.00219542933526183,a:"Export has special configuration options that allow greater control over the conversion of presentation files. Convert Presentation Files to Raster Images Export allows you to convert each slide in a presentation document to a raster image, providing a high-fidelity conversion of the document.  The ..."},"56":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_XML_Files.htm",l:-1,t:"Convert XML Files",i:0.00344435534824725,a:"Convert  XML Files Export enables you to extract all or selected content from source XML files (see  Configure Element Extraction for XML Documents ). It detects the following XML formats: generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, ..."},"57":{y:0,u:"../Content/ExportShared/UseExportAPI/Show_Hidden_Data.htm",l:-1,t:"Show Hidden Data",i:0.00317767471583516,a:"Microsoft Word, Excel, and PowerPoint documents contain hidden information, some of which is shown by default when exported, and some of which is hidden by default. There are several options that allow you to determine which types of hidden data are shown. Hidden Data in Microsoft Documents You can ..."},"58":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.00153039028572983,a:"Exclude Japanese Guide Text This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats_e.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"59":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00153039028572983,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. When you do not enable source code identification, files containing source code may be identified as ASCII text files, causing the application to treat them in the ..."},"60":{y:0,u:"../Content/ExportShared/UseExportAPI/Partitioning.htm",l:-1,t:"Partitioning",i:0.00342755526164974,a:"To increase the flexibility of KeyView output, you can output the HTML rendering of different parts of a file to different partitions. These partitions are snippets of HTML output for a given portion of the file. The calling code can then combine these partitions into the desired output structure. ..."},"61":{y:0,u:"../Content/kv_RMS/_KV_RMS_ConfigureProxyForRMS.htm",l:-1,t:"Configure the Proxy for RMS",i:0.00153039028572983,a:"When KeyView needs to access contents that are protected by the Microsoft Rights Management System (RMS), it must make HTTP requests. By default, KeyView uses the system proxy settings for these requests.  To use different proxy settings, you can configure them  in the [RMS] section of the formats ..."},"62":{y:0,u:"../Content/C/SamplePrograms/html_samples_c.htm",l:-1,t:"Sample Programs",i:0.00210854234423184,a:"Sample Programs This section describes the  sample programs provided with HTML Export."},"63":{y:0,u:"../Content/C/SamplePrograms/Introduction.htm",l:-1,t:"Introduction",i:0.00185569394998177,a:"The sample programs demonstrate how to use HTML Export. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes.  You can also test these sample programs with the sample files provided in  install\\testdocs. The following sample programs ..."},"64":{y:0,u:"../Content/Shared/_KV_xtract_samples_c.htm",l:-1,t:"tstxtract",i:0.00175572653507955,a:"The tstxtract sample program demonstrates the File Extraction API. It opens a file, extracts subfiles from the file, and repeats the extraction process until all subfiles are extracted. It also demonstrates how to extract the default set of metadata and pass integer or string names to extract ..."},"65":{y:0,u:"../Content/C/SamplePrograms/cnv2html.htm",l:-1,t:"cnv2html",i:0.00300282489556903,a:"The cnv2html sample program creates a single, formatted HTML output file. To run cnv2html, type the following at the command line: cnv2html [options] inputfile outputfile where: options is one or more of the options listed in  Options for cnvhtml . inputfile is the full path and file name of the ..."},"66":{y:0,u:"../Content/C/SamplePrograms/cnv2htmloop.htm",l:-1,t:"cnv2htmloop",i:0.00244985971444427,a:"The cnv2htmloop sample program creates a single, formatted HTML output file, but unlike cnv2html, it converts the file out of process. See  Convert Files Out of Process  for more information on out of process conversions. To run cnv2htmloop, type the following at the command line: cnv2htmloop ..."},"67":{y:0,u:"../Content/C/SamplePrograms/io_samp.htm",l:-1,t:"io_samp",i:0.00175572653507955,a:"The io_samp sample program demonstrates how to create an  input and an output stream by providing a simple wrapper around the ANSI C interface fOpen(), fRead(), fSeek(), fTell(), and fClose(). It converts a source document into a single, largely unformatted HTML file. To run io_samp, type the ..."},"68":{y:0,u:"../Content/C/SamplePrograms/htmlini.htm",l:-1,t:"htmlini",i:0.00481431599727949,a:"The htmlini sample program is used in conjunction with template files to produce HTML documents. For more information on template files, see  Explore Conversion Options with the Sample Programs . Sample template files are in the directory  install\\htmlexport\\programs\\ini. You can use this sample ..."},"69":{y:0,u:"../Content/C/SamplePrograms/callback.htm",l:-1,t:"callback",i:0.00175572653507955,a:"The callback sample program demonstrates how you can control the conversion to generate specialized output while it is in progress. The program employs developer-defined callbacks during conversion.  To run callback, type the following at the command line: callback inputfile outputfile where: ..."},"70":{y:0,u:"../Content/C/SamplePrograms/kvhtmlexport.htm",l:-1,t:"kvhtmlexport",i:0.0138618943319518,a:"A sample program that you can use to try out the KeyView HTML Export Reference Implementation .  The source code for this program is available in htmlexport/libkvhtmlexport/sample/src, and can be compiled using one of the makefiles in htmlexport/libkvhtmlexport/sample/bin. A pre-compiled binary is ..."},"71":{y:0,u:"../Content/part_CReference.htm",l:-1,t:"C API Reference",i:0.00153039028572983,a:"This section provides detailed reference information for the C-language implementation of the  File Extraction and  Export APIs. File Extraction API Functions File Extraction API Structures HTML Export API Functions HTML Export API Callback Functions HTML Export API Structures Enumerated Types"},"72":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_functions.htm",l:-1,t:"File Extraction API Functions",i:0.00394651889140698,a:"This section describes the functions in the File Extraction API. The File Extraction functions open a container file, and extract the container’s subfiles so that the subfiles are exposed and available for \n\t\t conversion .\n\t\tSubfiles can be files within a Zip archive, messages in a mail store, ..."},"73":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_KVGetExtractInterface.htm",l:-1,t:"KVGetExtractInterface()",i:0.00413080662238936,a:"This function is the entry point to obtain the file extraction functions.  When  KVGetExtractInterface() is called, it assigns the function pointers in the structure  KVExtractInterface to the functions described in this section.  Syntax int pascal KVGetExtractInterface ..."},"74":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpCloseFile.htm",l:-1,t:"fpCloseFile()",i:0.0197205725272138,a:"This function frees the memory allocated by  fpOpenFile()  and closes the file. Syntax int (pascal *fpCloseFile) (void *pFile); Arguments Returns If the file is closed, the return value is KVERR_Success.  If the file is not closed, the return value is an error code. Example ..."},"75":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpCloseSubFile.htm",l:-1,t:"fpCloseSubFile()",i:0.00271449184599886,a:"fpCloseSubFile() Closes a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpCloseSubFile) (\n        KVInputStream *stream); Arguments Returns If the subfile is closed, the return value is KVERR_Success If the subfile is not closed, the return value is an error code."},"76":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpExtractSubFile.htm",l:-1,t:"fpExtractSubFile()",i:0.0173521960886505,a:"This function extracts a subfile from a container file to a user-defined path or output stream. This call returns file format information when file is extracted to a path. Syntax int (pascal *fpExtractSubFile)  (\n\t            void                          *pFile, \n\t\t    ..."},"77":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpFreeStruct.htm",l:-1,t:"fpFreeStruct()",i:0.00841531172476112,a:"This function frees the memory allocated by fpGetMainFileInfo(), fpGetSubFileInfo(), fpGetSubFileMetadata(), and fpExtractSubFile(). Syntax int (pascal *fpFreeStruct) (\n    void      *pFile, \n    void      *obj);  Arguments Returns If the allocated memory is freed, the return value is KVERR_Success. ..."},"78":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetExtractInfo.htm",l:-1,t:"fpGetExtractInfo()",i:0.00153039028572983,a:"This function returns information about a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractInfo) (\n       KVInputStream *stream,\n       KVSubFileExtractInfo *extractInfo);\n Arguments Returns If an issue occurs when obtaining the extraction information, the return value is an error ..."},"79":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetExtractStatus.htm",l:-1,t:"fpGetExtractStatus()",i:0.00153039028572983,a:"This function returns the status of an input stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractStatus) (\n       KVInputStream *stream);\n Arguments Returns If an error occurred when one of the input stream function pointers was last called, this function should return the associated ..."},"80":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetMainFileInfo.htm",l:-1,t:"fpGetMainFileInfo()",i:0.00244622842613415,a:"This function  determines whether a file is a container file—that is, whether it contains subfiles—and should be extracted further.  Syntax int (pascal *fpGetMainFileInfo) (\n    void               *pFile, \n    KVMainFileInfo     *fileInfo);  Arguments Returns If the file information is retrieved, ..."},"81":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileInfo.htm",l:-1,t:"fpGetSubFileInfo()",i:0.00651429475413736,a:"This function gets  information about a subfile in a container file. Syntax int (pascal *fpGetSubFileInfo)  (\n    void                    *pFile, \n    int                      index,\n    KVSubFileInfo           *subFileInfo); Arguments Returns If the file information is retrieved, the return value ..."},"82":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileMetaData.htm",l:-1,t:"fpGetSubFileMetaData()",i:0.00729744424139324,a:"This function extracts  metadata from mail stores, mail messages, and non-mail items. See  Extract Mail Metadata . Syntax int (pascal *fpGetSubFileMetaData)  (\n\tvoid                      *pFile, \n\tKVGetSubFileMetaArg        metaArg, \n\tKVSubFileMetaData         *metaData); Arguments Returns If the ..."},"83":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpOpenFile.htm",l:-1,t:"fpOpenFile()",i:0.0416457494436553,a:"This function opens a file to make the file accessible for subfile extraction  or conversion . Syntax int (pascal *fpOpenFile) (\n    void                      *pContext,\n    KVOpenFileArg              openArg,\n    void                      **pFile); Arguments Returns If the file is opened, the ..."},"84":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpOpenSubFile.htm",l:-1,t:"fpOpenSubFile()",i:0.00557218696260271,a:"This function opens a subfile as a stream, which can be used directly or passed to other KeyView interfaces. Syntax int (pascal *fpOpenSubFile) (\n        void                  *pFile,\n        KVExtractSubFileArg    extractArg,\n        KVInputStream        **stream); Arguments Returns If the subfile ..."},"85":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct.htm",l:-1,t:"File Extraction API Structures",i:0.00174719730766809,a:"File Extraction API Structures This section provides information on the structures used by the File Extraction API. These structures define the input and output parameters required to extract subfiles from a container file, and are defined in kvxtract.h. "},"86":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVCredential.htm",l:-1,t:"KVCredential",i:0.00479346338341754,a:"This structure contains a count of the number of  credential elements, and a pointer to the first element of the array of individual elements. The structure is initialized by calling  fpOpenFile() , and is defined in kvxtract.h. typedef struct  ..."},"87":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVCredentialComponent.htm",l:-1,t:"KVCredentialComponent",i:0.0175282315898553,a:"This structure contains the value of a credential item. The structure is defined in  kvxtract.h. typedef struct  tag_KVCredentialComponent\n{\n    KVCredKeyType      keytype;\n    union\n    {\n        void           *pkey;\n        char           *skey;\n        unsigned ..."},"88":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVExtractInterface.htm",l:-1,t:"KVExtractInterface",i:0.00504161683956204,a:"The members of this structure are pointers to the file extraction functions described in  File Extraction API Functions . When you call the  KVGetExtractInterface()   function, this structure assigns pointers to the functions. The structure is defined in kvxtract.h.  typedef struct  ..."},"89":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVExtractSubFileArg.htm",l:-1,t:"KVExtractSubFileArg",i:0.0259718324595001,a:"This structure defines the input parameters  required to extract a subfile. See  fpExtractSubFile() . The structure is defined in kvxtract.h. typedef struct ..."},"90":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVGetSubFileMetaArg.htm",l:-1,t:"KVGetSubFileMetaArg",i:0.00322832729718574,a:"This structure defines the  metadata tags whose values are retrieved by  fpGetSubFileMetaData() . This structure is defined in kvxtract.h. typedef struct  ..."},"91":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMainFileInfo.htm",l:-1,t:"KVMainFileInfo",i:0.00377280287380964,a:"This structure contains information about a main file that is open for extraction. It is initialized by calling  fpGetMainFileInfo() .  This structure is defined in kvxtract.h. typedef struct  ..."},"92":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMetadataElem.htm",l:-1,t:"KVMetadataElem",i:0.00464341442155332,a:"This structure contains metadata field values extracted from a mail file. This structure is defined in kvtypes.h.  typedef struct ..."},"93":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMetaName.htm",l:-1,t:"KVMetaName",i:0.0118453236179598,a:"This structure defines the names of the metadata fields to be extracted from a mail file. This structure is defined in kvxtract.h. typedef struct ..."},"94":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVOpenFileArg.htm",l:-1,t:"KVOpenFileArg",i:0.0230327480840236,a:"This structure defines the input arguments necessary to open a file for extraction. It is initialized by calling  fpOpenFile() . This structure is defined in kvxtract.h. typedef struct  ..."},"95":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVOutputStream.htm",l:-1,t:"KVOutputStream",i:0.00398333609537937,a:"This structure defines an  output stream for the extracted subfile. The structure is defined in kvstream.h. typedef struct tag_OutputStream\n{\n void  *pOutputStreamPrivateData;\n BOOL (pascal *fpCreate)(struct tag_OutputStream *,TCHAR *);\n UINT (pascal *fpWrite) (struct tag_OutputStream *, BYTE *, ..."},"96":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVSubFileExtractInfo.htm",l:-1,t:"KVSubFileExtractInfo",i:0.00895083327588962,a:"This structure contains  information about an extracted subfile. It is initialized by calling  fpExtractSubFile() . This structure is defined in kvxtract.h. typedef struct tag_KVSubFileExtractInfo\n{\n    KVStructHeader;\n    char            *filePath; \n    char            *fileName;\n    unsigned ..."},"97":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVSubFileInfo.htm",l:-1,t:"KVSubFileInfo",i:0.00513466925730502,a:"This structure contains information  about a subfile in a container file. It is initialized by calling  fpGetSubFileInfo() . This structure is defined in kvxtract.h. typedef struct tag_KVSubFileInfo\n{\n    KVStructHeader;\n    char          *subFileName;\n    int           subFileType;\n    long         ..."},"98":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVSubFileMetaData.htm",l:-1,t:"KVSubFileMetaData",i:0.00277097493631296,a:"This structure contains a  count of the number of metadata elements extracted from a mail file, and a pointer to the first element of the array of elements. It is initialized by calling  fpGetSubFileMetaData() . This structure is defined in kvxtract.h. typedef struct  ..."},"99":{y:0,u:"../Content/C/ExportAPIFunctions/htmlx_functions.htm",l:-1,t:"HTML Export API Functions",i:0.00694838381612681,a:"This section describes the functions in the HTML Export API.  These functions manage the input and output streams, and perform the document conversion.  Each function appears as a function prototype followed by a description of its arguments, its return value, and discussion of its use."},"100":{y:0,u:"../Content/C/ExportAPIFunctions/KVHTMLGetInterfaceEx.htm",l:-1,t:"KVHTMLGetInterfaceEx()",i:0.00167893103854168,a:"KVHTML GetInterfaceEx() This function has been superseded by  KVHTMLGetInterfaceEx2() ; KVHTMLInterfaceEx2() should be used instead of KVHTMLInterfaceEx(). This is exported by the Export definition file. It supplies function pointers to other Export functions. When KVHTMLGetInterfaceEx() is called, ..."},"101":{y:0,u:"../Content/C/ExportAPIFunctions/KVHTMLGetInterfaceEx2.htm",l:-1,t:"KVHTMLGetInterfaceEx2()",i:0.00224394178518532,a:"This function is exported by the Export definition file. It supplies function pointers to other Export functions. When KVHTMLGetInterfaceEx2() is called, it assigns the function pointers in the structure KVHTMLInterfaceEx2 to other functions described in this chapter. For example, ..."},"102":{y:0,u:"../Content/kv_RMS/_KV_RMS_fpConfigureRMS.htm",l:-1,t:"fpConfigureRMS()",i:0.00348165348317409,a:"This function provides a way to set the credentials required to access Azure RMS protected files. After you set these credentials, the HTML Export and File Extraction API functions can operate on the contents of the Azure RMS files. Syntax KVErrorCode pascal *fpConfigureRMS(\n    void*             ..."},"103":{y:0,u:"../Content/C/ExportAPIFunctions/fpConvertStream.htm",l:-1,t:"fpConvertStream()",i:0.00732858931853183,a:"This function converts either a source stream or file to an output stream.  Syntax BOOL pascal fpConvertStream( ..."},"104":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToInputStreamCreate.htm",l:-1,t:"fpFileToInputStreamCreate()",i:0.00167893103854168,a:"This function creates an  input stream from an input file.  Syntax BOOL pascal _export fpFileToInputStreamCreate( \n    void            *pContext, \n    char            *pszFileName,\n    KVInputStream   *pInput); Arguments Returns If the call is successful, the return value is TRUE. If this call is ..."},"105":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToInputStreamFree.htm",l:-1,t:"fpFileToInputStreamFree()",i:0.00167893103854168,a:"This function frees the memory used to create an  input stream. Syntax BOOL pascal _export fpFileToInputStreamFree( \n    void            *pContext, \n    KVInputStream   *pInput); Arguments Returns If the call is successful, the return value is TRUE. If this call is unsuccessful, the return value is ..."},"106":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToOutputStreamCreate.htm",l:-1,t:"fpFileToOutputStreamCreate()",i:0.00167893103854168,a:"This function creates an  output stream from an output file.  Syntax BOOL pascal _export fpFileToOutputStreamCreate( \n    void                *pContext,\n    char                *pszFileName,\n    KVOutputStream      *pOutput ); Arguments Returns If the call is successful, the return value is TRUE. If ..."},"107":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToOutputStreamFree.htm",l:-1,t:"fpFileToOutputStreamFree()",i:0.00167893103854168,a:"This function frees the memory used to create the  output stream. Syntax BOOL pascal _export fpFileToOutputStreamFree( \n    void                *pContext,\n    KVOutputStream      *pOutput ); Arguments Returns If the call is successful, the return value is TRUE. If this call is unsuccessful, the ..."},"108":{y:0,u:"../Content/C/ExportAPIFunctions/fpFreePartitionInfoList.htm",l:-1,t:"fpFreePartitionInfoList",i:0.00183779629824112,a:"This function frees a  KVPartitionInfoList  that was allocated by  fpGetPartitionInfoList (). Syntax void pascal fpFreePartitionInfoList (\nvoid* pContext,\nKVPartitionInfoList* pPartitionInfoList) Arguments Returns None. Discussion This function is idempotent; that is, it does not do anything if you ..."},"109":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetAnchor.htm",l:-1,t:"fpGetAnchor()",i:0.00282286904124146,a:"fpGetAnchor () This function gets the file name automatically generated by Export and used for external graphics referenced with \u003cimg\u003e tags and for heading-level table of contents entries. Syntax BOOL pascal fpGetAnchor( ..."},"110":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetConvertFileList.htm",l:-1,t:"fpGetConvertFileList()",i:0.00153039028572983,a:"This function gets the list of files automatically converted to HTML during a call to fpConvertStream() or KVHTMLConvertFile(). Syntax char ** pascal _export fpGetConvertFileList( \n    void    *pContext,\n    int     *pnSize ); Arguments Returns If no files are converted, the return value is a NULL ..."},"111":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetKvErrorCode.htm",l:-1,t:"fpGetKvErrorCode",i:0.00153039028572983,a:"This function gets an extended error code defined in KVErrorCode. If a KeyView HTML Export function fails, you can call fpGetKvErrorCode() to find extra information on the failure. Syntax KVErrorCode pascal fpGetKvErrorCode (\n    void \t     *pContext ); Arguments Returns The current error code. ..."},"112":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetKvErrorCodeEx.htm",l:-1,t:"fpGetKvErrorCodeEx",i:0.0019003192495387,a:"This function gets an extended error code defined in KVErrorCodeEx. It is called to provide additional information when fpGetKvErrorCode() returns the error KVERR_General. Syntax KVErrorCodeEx pascal fpGetKvErrorCodeEx (\n    void \t     *pContext );\n Arguments Returns The current extended error code."},"113":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetPartitionInfoList.htm",l:-1,t:"fpGetPartitionInfoList",i:0.00361650636066611,a:"This function allocates and fills a  KVPartitionInfoList  instance. This list gives you the information you need to arrange the output so that you can view it in your preferred layout. For more information, see  Partitioning . Syntax KVErrorCode pascal fpGetPartitionInfoList (\nvoid* ..."},"114":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetStreamInfo.htm",l:-1,t:"fpGetStreamInfo()",i:0.00508662346223952,a:"This function extracts file format  and character set information from the source document. Syntax BOOL pascal _export fpGetStreamInfo (\n    void            *pContext,\n    KVInputStream   *pInput,\n    KVStreamInfo    *pStreamInfo );  Arguments Returns If the call is successful, the return value is ..."},"115":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetSummaryInfo.htm",l:-1,t:"fpGetSummaryInfo()",i:0.00281462180364414,a:"This function extracts all  metadata from the  input stream. See  Extract Metadata  for more information. Syntax BOOL pascal _export fpGetSummaryInfo( \n    void                *pContext,\n    KVInputStream       *pInput,\n    KVSummaryInfoEx     *pSummary,\n    BOOL                 bFree );   Arguments ..."},"116":{y:0,u:"../Content/C/ExportAPIFunctions/fpInit.htm",l:-1,t:"fpInit()",i:0.030743541903618,a:"This function initializes an Export session. Its return value, pContext, is passed as the first parameter to the File Extraction interface and all other Export functions. The fpInit() function is deprecated in KeyView 12.7.0 and later. Micro Focus recommends that you use  fpInitWithLicenseData()  ..."},"117":{y:0,u:"../Content/C/ExportAPIFunctions/fpinitWithLicenseData.htm",l:-1,t:"fpInitWithLicenseData()",i:0.030743541903618,a:"This function initializes an Export session with license information passed in function parameters rather than a license file. Its return value, pContext, is passed as the first parameter to the File Extraction interface and all other Export functions. This function is similar to  fpInit() , but it ..."},"118":{y:0,u:"../Content/C/ExportAPIFunctions/fpSelectPDFPages.htm",l:-1,t:"fpSelectPDFPages()",i:0.00192667976861229,a:"This function tells KeyView to convert only a subset of pages from a PDF. For more information, see  Convert a Subset of Pages . Syntax KVErrorCode pascal fpSelectPDFPages(void*, const KVPageSelection* const);\n   void* pContext,\n   const KVPageSelection* const pPageSelection); Arguments Returns The ..."},"119":{y:0,u:"../Content/C/ExportAPIFunctions/fpSetPartitionOn.htm",l:-1,t:"fpSetPartitionOn",i:0.00250154007853076,a:"This function tells KeyView when to begin a new partition. For more information, see  Partitioning . Syntax KVErrorCode pascal fpSetPartitionOn(\n    void* pContext,\n    const KVPartitionSetOn* pSetPartitionOn); Arguments Returns The return value is one of the error codes defined in  KVErrorCode  in ..."},"120":{y:0,u:"../Content/C/ExportAPIFunctions/fpSetStyleMapping.htm",l:-1,t:"fpSetStyleMapping()",i:0.00451179898221252,a:"This function is used to set the mapping for user-defined styles. Export does not make a distinction between paragraph styles or character styles, but operates under the assumption that each style has a unique name. Syntax BOOL pascal _export fpSetStyleMapping( ..."},"121":{y:0,u:"../Content/C/ExportAPIFunctions/fpShutDown.htm",l:-1,t:"fpShutDown()",i:0.0127517197076076,a:"This function terminates an Export session that was initialized by  fpInit()  or  fpInitWithLicenseData() , and frees allocated system resources. It is called when the conversion context is no longer required. Syntax void pascal _export fpShutDown(KVHTMLContext *pContext); Arguments Returns None. ..."},"122":{y:0,u:"../Content/C/ExportAPIFunctions/fpValidateTemplate.htm",l:-1,t:"fpValidateTemplate()",i:0.00153039028572983,a:"fpValidateTemplate() This function is used to ensure that the markup in the structures is valid. It is currently not implemented. "},"123":{y:0,u:"../Content/C/ExportAPIFunctions/KVHTMLConfig.htm",l:-1,t:"KVHTMLConfig()",i:0.00628422417877866,a:"KVHTML Config() This function is called directly and provides a way to configure options prior to document conversion. You can use this function to: Enable PDF conversion to JPEG or PNG Enable the graphic-based  PDF readers kppdfrdr and kppdf2rdr to convert PDF documents to JPEG files. Configure PDF ..."},"124":{y:0,u:"../Content/C/ExportAPIFunctions/KVHTMLConvertFile.htm",l:-1,t:"KVHTMLConvertFile()",i:0.00666355026899984,a:"This function is called directly and converts a source file to an output file.  Syntax BOOL pascal KVHTMLConvertFile  ..."},"125":{y:0,u:"../Content/C/ExportAPIFunctions/KVHTMLEndOOPSession.htm",l:-1,t:"KVHTMLEndOOPSession()",i:0.00331357259557198,a:"KV HTMLEndOOPSession() This function terminates the current out-of-process conversion session, and releases the source data and resources related to the session. Syntax BOOL pascal ..."},});