define({"0":{y:0,u:"../Content/part_Overview.htm",l:-1,t:"Overview of XML Export",i:0.00165392721603604,a:"Overview of XML Export This section provides an overview of the Micro Focus IDOL KeyView Export SDK and describes how to use the C implementation of the API. Introducing XML Export Getting Started"},"1":{y:0,u:"../Content/ExportShared/Introduction/Introduction.htm",l:-1,t:"Introducing XML Export",i:0.00235685157593596,a:"Introducing XML Export This guide is for developers who want to incorporate Micro Focus KeyView XML conversion technology into their applications using a C development environment. It is intended for readers who are familiar with XML and C."},"2":{y:0,u:"../Content/ExportShared/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00165392721603604,a:"XML Export is part of the KeyView Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into well-formed, valid XML which is validated against a predefined Document Type Definition (DTD). With XML Export, you control the content, structure, and format of ..."},"3":{y:0,u:"../Content/ExportShared/Introduction/Features.htm",l:-1,t:"Features",i:0.00165392721603604,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into  well-formed, valid, and 1.0-compliant XML. The XML output is validated against a predefined DTD named the \"Verity.dtd\" . Export supports over 300 formats in 70 languages. Convert files either in-process or out ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00165392721603604,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00165392721603604,a:"The C XML Export SDK is supported on the following platforms. CentOS 7 x86, x64, and AArch64 IBM AIX L6.1 PowerPC 32-bit and 64-bit IBM AIX L7.1 PowerPC 32-bit and 64-bit macOS 10.13 or later on 64-bit Apple-Intel architecture macOS 11 or later on Apple M1. Microsoft Windows Server 2012 x64 ..."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00165392721603604,a:"Supported Compilers The following table lists the supported compilers for the C XML Export SDK."},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00235685157593596,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. The redistributables are provided in the vcredist folder of the KeyView SDK but you can  download the latest installers from Microsoft  to get the latest security, reliability, and performance ..."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00165392721603604,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00165392721603604,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/ExportShared/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00165392721603604,a:"The Export installation contains: Libraries and executable files necessary for converting source documents into high-quality , well-formed XML  (see  Files Required for Redistribution ). The include files that define the functions and structures used by the application to establish an interface with ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0172665277534889,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"12":{y:0,u:"../Content/ExportShared/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00165392721603604,a:" The following table describes the directories created during the XML Export installation. The variable install is the path name of the Export installation  directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the XML ..."},"13":{y:0,u:"../Content/ExportShared/Introduction/Definition_of_Terms.htm",l:-1,t:"Definition of Terms",i:0.00165392721603604,a:"Definition of Terms The following are specialized terms used throughout the guide. "},"14":{y:0,u:"../Content/ExportShared/GettingStarted/GettingStarted.htm",l:-1,t:"Getting Started",i:0.00235685157593596,a:"Getting Started This section provides an overview of the XML Export SDK and describes how to use the C implementations of the API."},"15":{y:0,u:"../Content/ExportShared/GettingStarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00165392721603604,a:"Architectural Overview The general architecture of the KeyView XML conversion technology is the same across all supported platforms and is illustrated in the following diagram: XML Export Architecture Each component is described in the following table."},"16":{y:0,u:"../Content/ExportShared/GettingStarted/Enhance_Performance.htm",l:-1,t:"Enhance Performance",i:0.00165392721603604,a:"KeyView is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve performance specifically for your system. File Caching To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data ..."},"17":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files.htm",l:-1,t:"Convert Files",i:0.00165392721603604,a:"KeyView Export SDK enables you to convert many different types of documents to XML. Converting is the process of extracting the text from a document without the application-specific markup, and applying XML markup. The conversion process can also include the following: Extracting subfiles to expose ..."},"18":{y:0,u:"../Content/ExportShared/GettingStarted/Convert_Files_Out_of_Process.htm",l:-1,t:"Convert Files Out of Process",i:0.0114870607037837,a:"Export  can run independently from the calling application. This is called out of process. Out-of-process conversions protect the stability of the calling application in the rare case when a malformed document causes Export to fail. You can also run Export in the same process as the calling ..."},"19":{y:0,u:"../Content/ExportShared/GettingStarted/ConvertOOP_Run_C.htm",l:-1,t:"Run Export Out of Process",i:0.00175328053677248,a:"The cnv2xmloop sample program demonstrates how to run Export out of process. To convert files out of process in the C API If required, set parameters for the out-of-process conversion in the formats_e.ini file. See  Configure Out-of-Process Conversions . Declare instances of the following types and ..."},"20":{y:0,u:"../Content/ExportShared/GettingStarted/Subfile_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00181013262934713,a:"To convert a file, you must first determine whether the source file contains any subfiles (attachments, embedded objects, and so on). A file that contains subfiles is called a  container file. Compressed files (such as Zip), mail messages with attachments (such as  Microsoft Outlook Express), mail ..."},"21":{y:0,u:"../Content/ExportShared/GettingStarted/Set_Conversion_Options.htm",l:-1,t:"Set Conversion Options",i:0.00358876646665824,a:"Set Conversion  Options Conversion options are parameters that determine the content, structure, and appearance of the XML output. For example, you can specify:  the markup inserted at the beginning and end of specific XML blocks whether a heading is included in the table of contents the output ..."},"22":{y:0,u:"../Content/ExportShared/GettingStarted/HTML_Export_API_C.htm",l:-1,t:"Use the C-Language Implementation of the API",i:0.00187131056152153,a:"The C-language implementation of the API is divided into the following  function suites: File Extraction API Functions —Open and extract subfiles in a container file. These functions also extract metadata and file format information, and control character set conversion on extraction. XML Export API ..."},"23":{y:0,u:"../Content/ExportShared/GettingStarted/Use_Verity_DocType_Definition.htm",l:-1,t:"Use the KeyView Document Type Definition (DTD)",i:0.00218008511440633,a:"Use the KeyView  Document Type Definition ( DTD) XML Export produces well-formed, valid XML documents. Document validity is based on a Document Type Definition (DTD) called the Verity.dtd. The Verity.dtd is in the default output directory tempout. If the DTD is in a different directory, the full ..."},"24":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.00165392721603604,a:"Use the Export API This section explains how to perform some basic tasks using the  File Extraction and  Export APIs, and describes the sample programs. It contains the following chapters: Use the File Extraction API Use the XML Export API Sample Programs"},"25":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c.htm",l:-1,t:"Use the File Extraction API",i:0.00463122766560506,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"26":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",l:-1,t:"Introduction",i:0.00165392721603604,a:"To  convert  a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file.  The following ..."},"27":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.00305977593583588,a:"To  convert  all files in a container file, you must open the container and extract its subfiles by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  conversion . After a subfile is extracted, you can call  Export  API ..."},"28":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00417180786730306,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the function  fpGetSubFileInfo() .  However, if the ..."},"29":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00165392721603604,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"30":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Recreate_a_Files_Hierarchy.htm",l:-1,t:"Recreate a File’s Hierarchy",i:0.00690445550908439,a:"When you extract a container file, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. You can use the  hierarchy to create a directory structure in a file system, or to ..."},"31":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Mail_Metadata.htm",l:-1,t:"Extract Mail Metadata",i:0.017055020622303,a:"You can extract metadata, such as subject, sender, and recipient, from subfiles of mail formats, by calling the  fpGetSubFileMetaData()  function. You can extract a predefined set of common metadata fields, a list of metadata fields by their names or MAPI properties, or, for some subfile types, all ..."},"32":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_Outlook_Files.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.00165392721603604,a:"Extract  Subfiles from Outlook Files When you extract an Outlook file (MSG) to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the Extracted Text ..."},"33":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.00165392721603604,a:"Extract Subfiles from Outlook  Express Files When you extract an Outlook Express (EML) file to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. (If you do not want the header information to appear in the text file, see  Exclude Metadata from the ..."},"34":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_MailboxFiles.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.00165392721603604,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"35":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_OutlookPersonalFolder.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.00165392721603604,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the text and header information (To, From, Sent, and so on) from each Outlook ..."},"36":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusDominoXML.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.00165392721603604,a:"Extract  Subfiles from Lotus Domino XML Language Files When you extract a Lotus Domino XML Language (.DXL) file, the message text and header information (To, From, Sent, and so on) is extracted to a text file.  To prevent header information from being extracted, see  Exclude Metadata from the ..."},"37":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_LotusNotes_DB.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.00165392721603604,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"38":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_PDF_Files.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00165392721603604,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"39":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00165392721603604,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"40":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Embedded_OLE_Objects.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00165392721603604,a:"Embedded OLE objects can be converted in two ways: Using the File Extraction API, the OLE  object is first extracted from the main file and saved to disk. It can then be converted by making a separate conversion call.  Using the  XML  Export API, the  main file is converted to  XML  and the OLE ..."},"41":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_SubFiles_ZIPFiles.htm",l:-1,t:"Extract Subfiles from ZIP Files",i:0.00165392721603604,a:"Extract Subfiles from ZIP Files You can extract ZIP files that are not password-protected by using the general method (see  Extract Subfiles ). However, some ZIP files use password protection, in which case you must use a different method to enter the required credentials. "},"42":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00224252992411,a:"Default File Names for  Extracted Subfiles When you do not specify a file name in the call to   fpExtractSubFile() , in some cases a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies ..."},"43":{y:0,u:"../Content/ExportShared/UseExportAPI/HTML_api.htm",l:-1,t:"Use the XML Export API",i:0.00262398691024467,a:"Use the XML Export API This section describes how to perform some basic tasks by using the XML Export API."},"44":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.00217950015309395,a:"Extract  Metadata When a file format supports metadata, KeyView can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"45":{y:0,u:"../Content/ExportShared/UseExportAPI/Extract_File_Format_Info.htm",l:-1,t:"Extract File Format Information",i:0.00181013262934713,a:"Export can detect a file\u0027s format, and report the information to the API, which in turn reports the information to the developer\u0027s application. This feature enables you to apply customized conversion settings based on a file\u0027s format. See  File Format Detection  for more information on format ..."},"46":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.00353956487190955,a:"Export allows you to control the character set of both the input and the output text. This is accomplished by either setting the source and/or target character set in the API, or  basing the input/output on the character set of the document (if the document character set is stored in the document ..."},"47":{y:0,u:"../Content/ExportShared/UseExportAPI/Map_Styles.htm",l:-1,t:"Map Styles",i:0.00818177035249933,a:"Export can map  paragraph and character styles in any word processing format that contains styles (such as Microsoft Word, RTF, or Folio Flat File) to user-defined markup.  With this feature, you can redact (hide) text in the source document, delete content, or change the overall structure of the ..."},"48":{y:0,u:"../Content/ExportShared/UseExportAPI/Use_Style_Sheets.htm",l:-1,t:"Use Style Sheets",i:0.00188857960822783,a:"Use  Style Sheets XML is a content-based metalanguage designed to structure data. XML does not include information about how a document should be displayed in a browser. To view an XML document in a browser, information about how its displayed must be provided by style sheets. These are coded by ..."},"49":{y:0,u:"../Content/ExportShared/UseExportAPI/Display_Vector_Graphics_on_UNIX_and_.htm",l:-1,t:"Display Vector Graphics on UNIX and Linux",i:0.00241473750659812,a:"Display Vector Graphics  on UNIX and Linux Export offers the option of rasterizing vector graphic content from source documents into a variety of graphics formats including JPEG, PNG, WMF, and CGM. This solution is implemented with  Windows Graphical Device Interface (GDI) code, and therefore is not ..."},"50":{y:0,u:"../Content/ExportShared/UseExportAPI/C-Only/Convert_Revision_Tracking_Info.htm",l:-1,t:"Convert Revision Tracking Information",i:0.00310608950036275,a:"The revision tracking feature in applications—such as Microsoft Word\u0027s  Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision tracking was enabled when changes were made to ..."},"51":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Text_Box.htm",l:-1,t:"Convert Text Box Information",i:0.00165392721603604,a:"For Microsoft Word Processing documents (DOCX) that have the KeyView format MS_Word_2007_Fmt, XML Export exposes the information from the file that is used to position text boxes on the page.  The TextBox element surrounds text that was contained in a positioned text box, and it has the following ..."},"52":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_PDF_Files.htm",l:-1,t:"Convert PDF Files",i:0.00442787674697668,a:"Export has special  configuration options that allow greater control over the conversion of PDF files. These options can improve the fidelity and accuracy of the XML output. Convert PDF Files to a Logical Reading Order The PDF format is primarily designed for presentation and printing of brochures, ..."},"53":{y:0,u:"../Content/pdf2sr_image_size.htm",l:-1,t:"Configure the Size of Exported Images",i:0.00165392721603604,a:"When you use the pdf2sr reader to export images of the pages in a PDF file, you can configure the size of the images produced by KeyView. When a page in a PDF document consists of a single embedded image (such as when the PDF is a scanned document), the page image is output at the original size of ..."},"54":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_Spreadsheet_Files.htm",l:-1,t:"Convert Spreadsheet Files",i:0.00165392721603604,a:"Export has special configuration options that allow greater control over the conversion of spreadsheet files.  Convert  Hidden Text in Microsoft Excel Files Normally, Export does not convert hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. You ..."},"55":{y:0,u:"../Content/ExportShared/UseExportAPI/C-Only/Convert_Presentation_Files.htm",l:-1,t:"Convert Presentation Files",i:0.00218008511440633,a:"Export has special configuration options that allow greater control over the conversion of presentation files. Convert Presentation Files to Raster Images Export allows you to convert each slide in a presentation document to a raster image, providing a high-fidelity conversion of the document.  The ..."},"56":{y:0,u:"../Content/ExportShared/UseExportAPI/Convert_XML_Files.htm",l:-1,t:"Convert XML Files",i:0.00449180115355539,a:"Convert  XML Files Export enables you to extract all or selected content from source XML files (see  Configure Element Extraction for XML Documents ). It detects the following XML formats: generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, ..."},"57":{y:0,u:"../Content/ExportShared/UseExportAPI/Show_Hidden_Data.htm",l:-1,t:"Show Hidden Data",i:0.00344402594927708,a:"Microsoft Word, Excel, and PowerPoint documents contain hidden information, some of which is shown by default when exported, and some of which is hidden by default. There are several options that allow you to determine which types of hidden data are shown. Hidden Data in Microsoft Documents You can ..."},"58":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.00165392721603604,a:"Exclude Japanese Guide Text This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats_e.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"59":{y:0,u:"../Content/ExportShared/UseExportAPI/C-Only/Obtain_Image_Info.htm",l:-1,t:"Obtain Image Info",i:0.00165392721603604,a:"When exporting from presentation graphics files, and when using the pdf2sr reader to export from PDF files, KeyView can obtain information about the number of images that it would create during export, without having to run a full export. This option uses function pointers that are part of the  ..."},"60":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00165392721603604,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. When you do not enable source code identification, files containing source code may be identified as ASCII text files, causing the application to treat them in the ..."},"61":{y:0,u:"../Content/kv_RMS/_KV_RMS_ConfigureProxyForRMS.htm",l:-1,t:"Configure the Proxy for RMS",i:0.00165392721603604,a:"When KeyView needs to access contents that are protected by the Microsoft Rights Management System (RMS), it must make HTTP requests. By default, KeyView uses the system proxy settings for these requests.  To use different proxy settings, you can configure them  in the [RMS] section of the formats ..."},"62":{y:0,u:"../Content/C/SamplePrograms/html_samples_c.htm",l:-1,t:"Sample Programs",i:0.00227874886928041,a:"Sample Programs This section describes the  sample programs provided with XML Export."},"63":{y:0,u:"../Content/C/SamplePrograms/Introduction.htm",l:-1,t:"Introduction",i:0.00203573415993421,a:"The sample programs demonstrate how to use XML Export. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes.  You can also test these sample programs with the sample files provided in  install\\testdocs. The following sample programs ..."},"64":{y:0,u:"../Content/Shared/_KV_xtract_samples_c.htm",l:-1,t:"tstxtract",i:0.00194232530402505,a:"The tstxtract sample program demonstrates the File Extraction API. It opens a file, extracts subfiles from the file, and repeats the extraction process until all subfiles are extracted. It also demonstrates how to extract the default set of metadata and pass integer or string names to extract ..."},"65":{y:0,u:"../Content/C/SamplePrograms/cnv2xml.htm",l:-1,t:"cnv2xml",i:0.00329375794544471,a:"The cnv2xml sample program creates a single, formatted XML output file. This program runs on both Windows and UNIX platforms. To run cnv2xml, type the following at the command line: cnv2xml [options] inputfile outputfile where: options is one or more of the options listed in  Options for cnv2xml . ..."},"66":{y:0,u:"../Content/C/SamplePrograms/cnv2xmloop.htm",l:-1,t:"cnv2xmloop",i:0.00271023052213603,a:"The cnv2xmloop sample program creates a single, formatted XML output file, but unlike cnv2xml, it converts the file out of process. See  Convert Files Out of Process  for more information on out of process conversions. This program runs on both Windows and UNIX platforms. To run cnv2xmloop, type the ..."},"67":{y:0,u:"../Content/C/SamplePrograms/metadata.htm",l:-1,t:"metadata",i:0.00194232530402505,a:"The metadata sample program converts a source document into a single XML file that  contains only the document metadata (Author, Subject, Title, and so on). This program runs on both Windows and UNIX platforms. To run metadata, type the following at the command line: metadata inputfile outputfile ..."},"68":{y:0,u:"../Content/C/SamplePrograms/xmlini.htm",l:-1,t:"xmlini",i:0.0052977779505474,a:"The xmlini sample program is used in conjunction with template files to produce well-formed XML documents. For more information, see  Explore Conversion Options with the Sample Programs . Sample template files are in the programs\\ini directory. This program runs on both Windows and UNIX platforms. ..."},"69":{y:0,u:"../Content/C/SamplePrograms/xmlcallback.htm",l:-1,t:"xmlcallback",i:0.00194232530402505,a:"The xmlcallback sample program demonstrates how you can control the conversion to generate specialized output while it is in progress. The program employs developer-defined callbacks during conversion. This program runs on Windows platforms only. To run xmlcallback, type the following at the command ..."},"70":{y:0,u:"../Content/part_CReference.htm",l:-1,t:"C API Reference",i:0.00165392721603604,a:"This section provides detailed reference information for the C-language implementation of the  File Extraction and  Export APIs. File Extraction API Functions File Extraction API Structures XML Export API Functions XML Export API Callback Functions XML Export API Structures Enumerated Types"},"71":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_functions.htm",l:-1,t:"File Extraction API Functions",i:0.00426508675055669,a:"This section describes the functions in the File Extraction API. The File Extraction functions open a container file, and extract the container’s subfiles so that the subfiles are exposed and available for \n\t\t conversion .\n\t\tSubfiles can be files within a Zip archive, messages in a mail store, ..."},"72":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_KVGetExtractInterface.htm",l:-1,t:"KVGetExtractInterface()",i:0.00446425044399759,a:"This function is the entry point to obtain the file extraction functions.  When  KVGetExtractInterface() is called, it assigns the function pointers in the structure  KVExtractInterface to the functions described in this section.  Syntax int pascal KVGetExtractInterface ..."},"73":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpCloseFile.htm",l:-1,t:"fpCloseFile()",i:0.0210738715002393,a:"This function frees the memory allocated by  fpOpenFile()  and closes the file. Syntax int (pascal *fpCloseFile) (void *pFile); Arguments Returns If the file is closed, the return value is KVERR_Success.  If the file is not closed, the return value is an error code. Example ..."},"74":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpCloseSubFile.htm",l:-1,t:"fpCloseSubFile()",i:0.00293361087415782,a:"fpCloseSubFile() Closes a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpCloseSubFile) (\n        KVInputStream *stream); Arguments Returns If the subfile is closed, the return value is KVERR_Success If the subfile is not closed, the return value is an error code."},"75":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpExtractSubFile.htm",l:-1,t:"fpExtractSubFile()",i:0.0181720708828698,a:"This function extracts a subfile from a container file to a user-defined path or output stream. This call returns file format information when file is extracted to a path. Syntax int (pascal *fpExtractSubFile)  (\n\t            void                          *pFile, \n\t\t    ..."},"76":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpFreeStruct.htm",l:-1,t:"fpFreeStruct()",i:0.00895180215490306,a:"This function frees the memory allocated by fpGetMainFileInfo(), fpGetSubFileInfo(), fpGetSubFileMetadata(), and fpExtractSubFile(). Syntax int (pascal *fpFreeStruct) (\n    void      *pFile, \n    void      *obj);  Arguments Returns If the allocated memory is freed, the return value is KVERR_Success. ..."},"77":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetExtractInfo.htm",l:-1,t:"fpGetExtractInfo()",i:0.00165392721603604,a:"This function returns information about a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractInfo) (\n       KVInputStream *stream,\n       KVSubFileExtractInfo *extractInfo);\n Arguments Returns If an issue occurs when obtaining the extraction information, the return value is an error ..."},"78":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetExtractStatus.htm",l:-1,t:"fpGetExtractStatus()",i:0.00165392721603604,a:"This function returns the status of an input stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractStatus) (\n       KVInputStream *stream);\n Arguments Returns If an error occurred when one of the input stream function pointers was last called, this function should return the associated ..."},"79":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetMainFileInfo.htm",l:-1,t:"fpGetMainFileInfo()",i:0.00264150011814398,a:"This function  determines whether a file is a container file—that is, whether it contains subfiles—and should be extracted further.  Syntax int (pascal *fpGetMainFileInfo) (\n    void               *pFile, \n    KVMainFileInfo     *fileInfo);  Arguments Returns If the file information is retrieved, ..."},"80":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileInfo.htm",l:-1,t:"fpGetSubFileInfo()",i:0.00699061085943106,a:"This function gets  information about a subfile in a container file. Syntax int (pascal *fpGetSubFileInfo)  (\n    void                    *pFile, \n    int                      index,\n    KVSubFileInfo           *subFileInfo); Arguments Returns If the file information is retrieved, the return value ..."},"81":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpGetSubFileMetaData.htm",l:-1,t:"fpGetSubFileMetaData()",i:0.00782427099309052,a:"This function extracts  metadata from mail stores, mail messages, and non-mail items. See  Extract Mail Metadata . Syntax int (pascal *fpGetSubFileMetaData)  (\n\tvoid                      *pFile, \n\tKVGetSubFileMetaArg        metaArg, \n\tKVSubFileMetaData         *metaData); Arguments Returns If the ..."},"82":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpOpenFile.htm",l:-1,t:"fpOpenFile()",i:0.0444462304022306,a:"This function opens a file to make the file accessible for subfile extraction  or conversion . Syntax int (pascal *fpOpenFile) (\n    void                      *pContext,\n    KVOpenFileArg              openArg,\n    void                      **pFile); Arguments Returns If the file is opened, the ..."},"83":{y:0,u:"../Content/kv_xtract_functions/_KV_XTRACT_funct_fpOpenSubFile.htm",l:-1,t:"fpOpenSubFile()",i:0.00602198420563695,a:"This function opens a subfile as a stream, which can be used directly or passed to other KeyView interfaces. Syntax int (pascal *fpOpenSubFile) (\n        void                  *pFile,\n        KVExtractSubFileArg    extractArg,\n        KVInputStream        **stream); Arguments Returns If the subfile ..."},"84":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct.htm",l:-1,t:"File Extraction API Structures",i:0.00188823533600268,a:"File Extraction API Structures This section provides information on the structures used by the File Extraction API. These structures define the input and output parameters required to extract subfiles from a container file, and are defined in kvxtract.h. "},"85":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVCredential.htm",l:-1,t:"KVCredential",i:0.00512742893872221,a:"This structure contains a count of the number of  credential elements, and a pointer to the first element of the array of individual elements. The structure is initialized by calling  fpOpenFile() , and is defined in kvxtract.h. typedef struct  ..."},"86":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVCredentialComponent.htm",l:-1,t:"KVCredentialComponent",i:0.0188611727434132,a:"This structure contains the value of a credential item. The structure is defined in  kvxtract.h. typedef struct  tag_KVCredentialComponent\n{\n    KVCredKeyType      keytype;\n    union\n    {\n        void           *pkey;\n        char           *skey;\n        unsigned ..."},"87":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVExtractInterface.htm",l:-1,t:"KVExtractInterface",i:0.00544858152018571,a:"The members of this structure are pointers to the file extraction functions described in  File Extraction API Functions . When you call the  KVGetExtractInterface()   function, this structure assigns pointers to the functions. The structure is defined in kvxtract.h.  typedef struct  ..."},"88":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVExtractSubFileArg.htm",l:-1,t:"KVExtractSubFileArg",i:0.0266593979830304,a:"This structure defines the input parameters  required to extract a subfile. See  fpExtractSubFile() . The structure is defined in kvxtract.h. typedef struct ..."},"89":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVGetSubFileMetaArg.htm",l:-1,t:"KVGetSubFileMetaArg",i:0.00347659602273013,a:"This structure defines the  metadata tags whose values are retrieved by  fpGetSubFileMetaData() . This structure is defined in kvxtract.h. typedef struct  ..."},"90":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMainFileInfo.htm",l:-1,t:"KVMainFileInfo",i:0.00405929485237319,a:"This structure contains information about a main file that is open for extraction. It is initialized by calling  fpGetMainFileInfo() .  This structure is defined in kvxtract.h. typedef struct  ..."},"91":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMetadataElem.htm",l:-1,t:"KVMetadataElem",i:0.00501354040589566,a:"This structure contains metadata field values extracted from a mail file. This structure is defined in kvtypes.h.  typedef struct ..."},"92":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVMetaName.htm",l:-1,t:"KVMetaName",i:0.0127947422143843,a:"This structure defines the names of the metadata fields to be extracted from a mail file. This structure is defined in kvxtract.h. typedef struct ..."},"93":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVOpenFileArg.htm",l:-1,t:"KVOpenFileArg",i:0.0245181471214398,a:"This structure defines the input arguments necessary to open a file for extraction. It is initialized by calling  fpOpenFile() . This structure is defined in kvxtract.h. typedef struct  ..."},"94":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVOutputStream.htm",l:-1,t:"KVOutputStream",i:0.00417180786730306,a:"This structure defines an  output stream for the extracted subfile. The structure is defined in kvstream.h. typedef struct tag_OutputStream\n{\n void  *pOutputStreamPrivateData;\n BOOL (pascal *fpCreate)(struct tag_OutputStream *,TCHAR *);\n UINT (pascal *fpWrite) (struct tag_OutputStream *, BYTE *, ..."},"95":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVSubFileExtractInfo.htm",l:-1,t:"KVSubFileExtractInfo",i:0.00938857831935824,a:"This structure contains  information about an extracted subfile. It is initialized by calling  fpExtractSubFile() . This structure is defined in kvxtract.h. typedef struct tag_KVSubFileExtractInfo\n{\n    KVStructHeader;\n    char            *filePath; \n    char            *fileName;\n    unsigned ..."},"96":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVSubFileInfo.htm",l:-1,t:"KVSubFileInfo",i:0.00553972686609798,a:"This structure contains information  about a subfile in a container file. It is initialized by calling  fpGetSubFileInfo() . This structure is defined in kvxtract.h. typedef struct tag_KVSubFileInfo\n{\n    KVStructHeader;\n    char          *subFileName;\n    int           subFileType;\n    long         ..."},"97":{y:0,u:"../Content/kv_xtract_structures/_KV_XTRACT_struct_KVSubFileMetaData.htm",l:-1,t:"KVSubFileMetaData",i:0.00298407226267718,a:"This structure contains a  count of the number of metadata elements extracted from a mail file, and a pointer to the first element of the array of elements. It is initialized by calling  fpGetSubFileMetaData() . This structure is defined in kvxtract.h. typedef struct  ..."},"98":{y:0,u:"../Content/C/ExportAPIFunctions/htmlx_functions.htm",l:-1,t:"XML Export API Functions",i:0.00875121670057163,a:"This section describes the functions in the XML Export API.  These functions manage the input and output streams, and perform the document conversion.  Each function appears as a function prototype followed by a description of its arguments, its return value, and discussion of its use."},"99":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLGetInterface.htm",l:-1,t:"KVXMLGetInterface()",i:0.00181445846894688,a:"KVXML GetInterface() This function has been superseded by  KVXMLGetInterfaceEx() ; KVXMLGetInterfaceEx() should be used instead of KVXML GetInterface(). This function is exported by the Export definition file. It supplies function pointers to other Export functions. When KVXMLGetInterface() is ..."},"100":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLGetInterfaceEx.htm",l:-1,t:"KVXMLGetInterfaceEx()",i:0.002425077982113,a:"KVXML GetInterfaceEx() This function is exported by the Export definition file. It supplies function pointers to other Export functions. When KVXMLGetInterfaceEx() is called, it assigns the function pointers in the structure KVXML InterfaceEx to other functions described in this chapter. For ..."},"101":{y:0,u:"../Content/kv_RMS/_KV_RMS_fpConfigureRMS.htm",l:-1,t:"fpConfigureRMS()",i:0.0037627002957358,a:"This function provides a way to set the credentials required to access Azure RMS protected files. After you set these credentials, the XML Export and File Extraction API functions can operate on the contents of the Azure RMS files. Syntax KVErrorCode pascal *fpConfigureRMS(\n    void*             ..."},"102":{y:0,u:"../Content/C/ExportAPIFunctions/fpConvertStream.htm",l:-1,t:"fpConvertStream()",i:0.00684314431510422,a:"This function converts either a source stream or file to an output stream.  Syntax   BOOL pascal fpConvertStream( ..."},"103":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToInputStreamCreate.htm",l:-1,t:"fpFileToInputStreamCreate()",i:0.00181445846894688,a:"This function creates an  input stream from an input file.  Syntax BOOL pascal _export fpFileToInputStreamCreate( \n    void            *pContext, \n    char            *pszFileName,\n    KVInputStream   *pInput); Arguments Returns If the call is successful, the return value is TRUE. If this call is ..."},"104":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToInputStreamFree.htm",l:-1,t:"fpFileToInputStreamFree()",i:0.00181445846894688,a:"This function frees the memory used to create an  input stream. Syntax BOOL pascal _export fpFileToInputStreamFree( \n    void            *pContext, \n    KVInputStream   *pInput); Arguments Returns If the call is successful, the return value is TRUE. If this call is unsuccessful, the return value is ..."},"105":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToOutputStreamCreate.htm",l:-1,t:"fpFileToOutputStreamCreate()",i:0.00181445846894688,a:"This function creates an  output stream from an output file.  Syntax BOOL pascal _export fpFileToOutputStreamCreate( \n    void                *pContext,\n    char                *pszFileName,\n    KVOutputStream      *pOutput ); Arguments Returns If the call is successful, the return value is TRUE. If ..."},"106":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToOutputStreamFree.htm",l:-1,t:"fpFileToOutputStreamFree()",i:0.00181445846894688,a:"This function frees the memory used to create the  output stream. Syntax BOOL pascal _export fpFileToOutputStreamFree( \n    void                *pContext,\n    KVOutputStream      *pOutput ); Arguments Returns If the call is successful, the return value is TRUE. If this call is unsuccessful, the ..."},"107":{y:0,u:"../Content/C/ExportAPIFunctions/fpFreeImageInfos.htm",l:-1,t:"fpFreeImageInfos()",i:0.00165392721603604,a:"This function frees the memory associated with an image info context. Call this function when you have finished using the image info context for calls to fpGetOutputImageCount() and fpGetOutputImageInfo() (see  fpGetOutputImageCount()  and  fpGetOutputImageInfo() ). Syntax BOOL pascal ..."},"108":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetAnchor.htm",l:-1,t:"fpGetAnchor()",i:0.00258047167777536,a:"fpGetAnchor () This function gets the file name automatically generated by Export and used for external graphics referenced with \u003ca xmlns:xlink= xlink href=\u003e tags and for heading-level table of contents entries. Syntax BOOL pascal fpGetAnchor( ..."},"109":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetConvertFileList.htm",l:-1,t:"fpGetConvertFileList()",i:0.00165392721603604,a:"This function gets the list of files automatically converted to XML during a call to fpConvertStream() or KVXMLConvertFile(). Syntax char ** pascal _export fpGetConvertFileList( \n    void    *pContext,\n    int     *pnSize ); Arguments Returns If no files are converted, the return value is a NULL ..."},"110":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetKvErrorCode.htm",l:-1,t:"fpGetKvErrorCode",i:0.00165392721603604,a:"This function gets an extended error code defined in KVErrorCode. If a KeyView HTML Export function fails, you can call fpGetKvErrorCode() to find extra information on the failure. Syntax KVErrorCode pascal fpGetKvErrorCode (\n    void \t     *pContext ); Arguments Returns The current error code. ..."},"111":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetKvErrorCodeEx.htm",l:-1,t:"fpGetKvErrorCodeEx",i:0.00205371746113203,a:"This function gets an extended error code defined in KVErrorCodeEx. It is called to provide additional information when fpGetKvErrorCode() returns the error KVERR_General. Syntax KVErrorCodeEx pascal fpGetKvErrorCodeEx (\n    void \t     *pContext );\n Arguments Returns The current extended error code."},"112":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetOutputImageCount.htm",l:-1,t:"fpGetOutputImageCount()",i:0.00220923781865082,a:"This function returns the number of images that would be obtained by the XML Export, and for which you can obtain image information by using fpGetOutputImageInfo(). Syntax BOOL pascal fpGetOutputImageCount (\n      const void* const pImageInfos,\n      int* const pnImages) Arguments Returns If the ..."},"113":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetOutputImageInfo.htm",l:-1,t:"fpGetOutputImageInfo()",i:0.00220923781865082,a:"This function returns the dimensions of the images that would be obtained during the XML Export process. Syntax BOOL pascal fpGetOutputImageInfo (\n      const void* const pImageInfos,\n      const int nImage,\n      KVXMLImageInfo* const ptImageInfo) Arguments Returns If the call is successful, the ..."},"114":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetOutputImageInfos.htm",l:-1,t:"fpGetOutputImageInfos()",i:0.00188823533600268,a:"This function returns the image information context that must be supplied to the fpGetOutputImageCount() or fpGetOutputImageInfo() functions. See  fpGetOutputImageCount()  and  fpGetOutputImageInfo() .  You must free the system resources associated with this context after you use it, by using the ..."},"115":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetStreamInfo.htm",l:-1,t:"fpGetStreamInfo()",i:0.00545939803298704,a:"This function extracts file format  and character set information from the source document. Syntax BOOL pascal _export fpGetStreamInfo (\n    void            *pContext,\n    KVInputStream   *pInput,\n    KVStreamInfo    *pStreamInfo );  Arguments Returns If the call is successful, the return value is ..."},"116":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetSummaryInfo.htm",l:-1,t:"fpGetSummaryInfo()",i:0.00304182409264231,a:"This function extracts all  metadata from the  input stream. See  Extract Metadata  for more information. Syntax BOOL pascal _export fpGetSummaryInfo( \n    void                *pContext,\n    KVInputStream       *pInput,\n    KVSummaryInfoEx     *pSummary,\n    BOOL                 bFree );   Arguments ..."},"117":{y:0,u:"../Content/C/ExportAPIFunctions/fpInit.htm",l:-1,t:"fpInit()",i:0.031568441029743,a:"This function initializes an Export session. Its return value, pContext, is passed as the first parameter to the File Extraction interface and all other Export functions. The fpInit() function is deprecated in KeyView 12.7.0 and later. Micro Focus recommends that you use  fpInitWithLicenseData()  ..."},"118":{y:0,u:"../Content/C/ExportAPIFunctions/fpinitWithLicenseData.htm",l:-1,t:"fpInitWithLicenseData()",i:0.031568441029743,a:"This function initializes an Export session with license information passed in function parameters rather than a license file. Its return value, pContext, is passed as the first parameter to the File Extraction interface and all other Export functions. This function is similar to  fpInit() , but it ..."},"119":{y:0,u:"../Content/C/ExportAPIFunctions/fpSetStyleMapping.htm",l:-1,t:"fpSetStyleMapping()",i:0.00649441560019792,a:"This function is used to set the mapping for user-defined styles. Export does not make a distinction between paragraph styles or character styles, but operates under the assumption that each style has a unique name. Syntax BOOL pascal _export fpSetStyleMapping( ..."},"120":{y:0,u:"../Content/C/ExportAPIFunctions/fpShutDown.htm",l:-1,t:"fpShutDown()",i:0.0127821841160252,a:"This function terminates an Export session that was initialized by  fpInit()  or  fpInitWithLicenseData() , and frees allocated system resources. It is called when the conversion context is no longer required. Syntax void pascal _export fpShutDown(KVHTMLContext *pContext); Arguments Returns None. ..."},"121":{y:0,u:"../Content/C/ExportAPIFunctions/fpValidateTemplate.htm",l:-1,t:"fpValidateTemplate()",i:0.00165392721603604,a:"fpValidateTemplate() This function is used to ensure that the markup is well-formed and valid according to the DTD. It is currently not implemented."},"122":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLConfig.htm",l:-1,t:"KVXMLConfig()",i:0.00691136223032723,a:"KVXML Config() This function is called directly and provides a way to configure options prior to the document conversion. Currently, the function is used for the following configurations: Generate output without images Generate output with verbose markup and  without images. To generate output with ..."},"123":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLConvertFile.htm",l:-1,t:"KVXMLConvertFile()",i:0.00684314431510422,a:"This function is called directly and converts a source file to an output file.  Syntax BOOL pascal KVXMLConvertFile  ..."},"124":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLEndOOPSession.htm",l:-1,t:"KVXMLEndOOPSession()",i:0.00432598565343635,a:"KVXML EndOOPSession() This function terminates the current out-of-process conversion session, and releases the source data and resources related to the session. Syntax BOOL pascal ..."},"125":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLSetStyleSheet.htm",l:-1,t:"KVXMLSetStyleSheet()",i:0.00298537433940531,a:"KVXMLSetStyleSheet () This function is called directly and is used to specify the full path and file name of an external Style Sheet (XSL or CSS). Syntax BOOL pascal KVXMLSetStyleSheet(\n    void    *pContext,\n    char    *pszStyleSheetName,\n    char    *pszRef);\n Arguments Returns If the call is ..."},});